<?php
session_start();
include("dbconfig.php");
date_default_timezone_set('Asia/Bangkok');
$Title='CoV-Clinics';
$Header='แสดงการได้รับวัคซีน Covid19 ในคลีนิกบริการต่างๆ';
$Yname0= 'ทั้งหมด';
$Yname1= 'ได้รับ';
$Yname2= '1 เข็ม';
$Yname3= '2 เข็ม';
$Yname4= '3 เข็ม';
$Yname5= '4 เข็ม';
$XList=''; //ข้อมูลแกน X
mysql_select_db("mophic");
mysql_query("SET NAMES 'tis620'; ");
$sql='select  *  from co_epi ';
$result = mysql_query($sql);
$numrows = mysql_num_rows($result);
$aoY=array();
$aData = array();
$aoX=array("ALL"); //Array ข้อมูลแกน X
$noX=1;
$DateRep='';
while ($object = mysql_fetch_object($result)) {
	if ($object -> RepDate  > $DateRep )$DateRep = $object -> RepDate;
	$cClinic = trim(iconv( 'TIS-620', 'UTF-8',$object -> Clinic));
	$cVst = trim(iconv( 'TIS-620', 'UTF-8',$object -> vacLget));
	if ($cVst <>""){
		$cVst = substr($cVst,2,1);
		if (!strpos('X1234', $cVst)){
			 $cVst='0'; 
		}	 
	} else $cVst = '0';
	$aData[0][0] += 1;
	if ($cVst <> '0') {
		$aData[1][0] +=1;
		$aData[$cVst+1][0] +=1;
	}
	if ($cClinic <> ""){
		$cClinic =substr($cClinic,1);
		while ($cClinic <> ""){
			$nAt = strpos($cClinic,';');
			if ($nAt){
				$cC = substr($cClinic,0,$nAt);
				$cClinic=substr($cClinic,$nAt+1);
			} else {
				$cC = $cClinic;
				$cClinic="";
			}
			if ($cC <> ""){
				if (!in_array($cC, $aoX)) {
					$aoX[$noX]=$cC;    //ชื่อClinic
					$Col = $noX;
					$noX += 1;
				} else {
					$Col = array_search($cC,$aoX); 
				}
				$aData[0][$Col] += 1;  //จำนวนคน
				if ($cVst <> '0') {
					$aData[1][$Col] += 1;
					$aData[$cVst+1][$Col] += 1;
				}
			}
		}		 
	}
}
for($x = 0; $x < $noX; $x++) {
  $XList .= ',"'.$aoX[$x].'"';
}  
$XList = substr($XList,1);
//echo $XList.'<br>';

for($y = 0; $y < 6; $y++) {
	for($x = 0; $x < $noX; $x++) {   //ClinicS
		if ($aData[$y][$x] +0==0)$aoY[$y] .= ',0';
		else $aoY[$y] .= ','.$aData[$y][$x];
	}
	 $aoY[$y] = substr($aoY[$y],1);
	 //echo   $aoY[$y].'<br>';
} 
$subtitle='ประมวลผลวันที่ '.$DateRep;
 ?>
<!DOCTYPE HTML>
<html>
  <head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title><?php echo $Title; ?></title>
	<style type="text/css">
	</style>
  </head>
  <body>
	<script src="Jcode/highcharts.js"></script>
	<script src="Jcode/modules/exporting.js"></script>
	<script src="Jcode/modules/export-data.js"></script>
	<div style="position: relative; padding: 2px;">
	<div id="container" style="min-width: 310px; height: 700px; margin: 0 auto"></div>
	<script type="text/javascript">
	const sumdata = [<?php echo $aoY[0];?>];
	Highcharts.chart('container', {
	  chart: {zoomType: 'xy',marginBottom: 150},	/*ระยะ แกน X*/
	  title: {text: '<?php echo /*iconv( 'TIS-620', 'UTF-8', $Header)  ;*/ $Header;?>'},
	  subtitle: {text: '<?php echo $subtitle; ?>'},
	  xAxis: [{categories: [<?php echo $XList;?>],crosshair: true}],
	  yAxis: [
		{
		  title: {text: 'จำนวน ',style: {color: Highcharts.getOptions().colors[4]}},
		  labels: {format: '{value} ',style: {color: Highcharts.getOptions().colors[4]}}},
		{ 
		  title: {text: '',style: {color: Highcharts.getOptions().colors[0]}},
		  labels: {format: '{value} ',style: {color: Highcharts.getOptions().colors[0]}},
		  opposite: true }
	  ],
	  plotOptions: {
            series: {
                cursor: 'pointer',
                point: {
                    events: {
                        click: function () {
							var URL;
						  	URL="DataInfo.php?&clinic="+this.category;
							URL+="&vst="+this.series.index;
							window.open(URL, '_blank');
						}
                    }
                },
				dataLabels: {
               		enabled: true,
                	formatter: function() {
						var ret='';
						var percent=(this.y*100)/sumdata[this.point.index];
						if (this.series.index==0) ret='';
						else ret= 	percent.toFixed(1)+'%';					
						return  ret;
       				}
            	}
			}
      },
	  tooltip: {shared: true },
	  legend: {layout: 'vertical',align: 'left',x: 60, verticalAlign:  'bottom',y: 0,floating: true,
		backgroundColor: (Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'},
	  series: [
		{name: '<?php echo $Yname0;?>',type: 'column',yAxis: 0,data: [<?php echo $aoY[0]; ?>],tooltip: {valueSuffix: ''}},
		{name: '<?php echo $Yname1;?>',type: 'column',yAxis: 0,data: [<?php echo $aoY[1];?>],tooltip: {valueSuffix: ''}},
		{name: '<?php echo $Yname2;?>',type: 'column',yAxis: 0,data: [<?php echo $aoY[2]; ?>],tooltip: {valueSuffix: ''}},
		{name: '<?php echo $Yname3;?>',type: 'column',yAxis: 0,data: [<?php echo $aoY[3];?>],tooltip: {valueSuffix: ''}},
		{name: '<?php echo $Yname4;?>',type: 'column',yAxis: 0,data: [<?php echo $aoY[4]; ?>],tooltip: {valueSuffix: ''}},
		{name: '<?php echo $Yname5;?>',type: 'column',yAxis: 0,data: [<?php echo $aoY[5];?>],tooltip: {valueSuffix: ''}}
	  ]
	});
</script>
	<p><p>หมายเหตุ  <br>
	พบ = <?php  echo $numrows;?> Reccords<br>
	</body>
</html>
